﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            FarPoint.Win.Chart.BarSeries series = new FarPoint.Win.Chart.BarSeries();
            series.Values.Add(10000.0);
            series.Values.Add(20000.0);
            series.Values.Add(40000.0);
            series.Values.Add(80000.0);
            FarPoint.Win.Chart.YPlotArea plotArea = new FarPoint.Win.Chart.YPlotArea();
            plotArea.Location = new PointF(0.2F, 0.2F);
            plotArea.Size = new SizeF(0.6F, 0.6F);
            plotArea.XAxis.Title = "Entry";
            plotArea.XAxis.TitleVisible = true;
            plotArea.YAxes[0].DisplayUnits = 1000.0;  
            plotArea.Series.Add(series);
            FarPoint.Win.Chart.ChartModel model = new FarPoint.Win.Chart.ChartModel();
            model.PlotAreas.Add(plotArea);
            fpChart1.Model = model;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            saveFileDialog1.ShowDialog();  
        }
    }
}
